Subject: Reducing Peerings for MH Routing within a site via end systems

From: "Bound, Jim" <[email-masked]>
Date: Mon, 17 Mar 2003 00:49:06 -0500

Do we agree on the following (I don't care about the high order
words/terms).
 
Reducing Peering:
 
If a sites end systems do not depend on providers peering, but can
always failover to other provider from within the site, this reduces the
routing tables for the providers, and for the routers within the
Internet in the MHH case?
 
Would this solve an immediate problem from IPv6 MHH case?
 
thanks
/jim

---

From: "Tony Li" <[email-masked]>
Date: Mon, 17 Mar 2003 00:24:18 -0800

If a host has multiple locators and a single identifier and other hosts
are able to change
the locator that they are using at will, then it implies that special
routing information
about that site need not be propagated upwards.  Effectively, the site
has PA space
from each of its providers and that PA space is nicely aggregated in
global routing.
 
Yes, this makes MHH's much nicer for global routing, tho it may still
lead to issues
with local routing.  Kinda depends what you want to do within your IGP.
One could
reasonably argue that you take the layer of separation down recursively.
 
Note that this alleviates the most painful reason to avoid PA space:
renumbering is
now a non-issue.  You assign a new locator to your entire site,
advertise it to the
world and you're good to go.  Individual host identifiers need not
change.  No host
renumbering.
 
Tony

	Reducing Peering:
	 
	If a sites end systems do not depend on providers peering, but
can always failover to other provider from within the site, this reduces
the routing tables for the providers, and for the routers within the
Internet in the MHH case?

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 17 Mar 2003 10:17:07 -0500

>If a host has multiple locators and a single identifier and other hosts
are able >to change the locator that they are using at will, then it
implies that special

Clarification.  Above you have "conjunction" ...and other hosts?  I
assume you mean any host can change their locator?

>routing information about that site need not be propagated upwards. 

That is where I was going with RZPs.
 
>Effectively, the site has PA space from each of its providers and that
PA space >is nicely aggregated in global routing.

So the locators for this site is known by all of the sites providers,
correct?

>Yes, this makes MHH's much nicer for global routing, tho it may still
lead to 
>issues with local routing.  Kinda depends what you want to do within
your IGP.

Agree but what one does with IGP should not break peer-to-peer
applications between remote provider on the other side of the planet.
IPsec between those two peers without any translation of the packets
headers.  

Do we agree on that and this is a core principle for any Internet
engineer one way or the other?  Has nothing to do with routing except as
input to what one is willing to give up in the design of routing
architecture and an important point to raise amongst ourseleves on the
list !!!!

>One could reasonably argue that you take the layer of separation down 
>recursively.

Within the IGP from the Provider space?  If that, then I agree.

>Note that this alleviates the most painful reason to avoid PA space:

But above you state "nicely aggregates provider space"?  Can you
rectify?
 
>renumbering is now a non-issue.  You assign a new locator to your
entire site, 
>advertise it to the world and you're good to go.  Individual host
identifiers 
>need not change.  No host renumbering.

But still implies locators can change?  For example one move to
completely new providers?

Your location is not worldwide provider space but only for relative
provider space for a site?
Is that correct?

/jim

---

From: "Bound, Jim" <[email-masked]>
Date: Mon, 17 Mar 2003 23:36:28 -0500

Tony,

Thanks.  No response will try to not do the pronoun thing.

/jim

> -----Original Message-----
> From: Tony Li [mailto:[email-masked]] 
> Sent: Monday, March 17, 2003 11:20 PM
> To: Bound, Jim; [email-masked]
> Subject: RE: Reducing Peerings for MH Routing within a site 
> via end systems
> 
> 
> 
> 
> Jim,
> 
> |    >If a host has multiple locators and a single identifier 
> |    and other hosts
> |    are able >to change the locator that they are using at 
> |    will, then it
> |    implies that special
> |    
> |    Clarification.  Above you have "conjunction" ...and 
> other hosts?  I
> |    assume you mean any host can change their locator?
> 
> 
> I think that a host should be able to change the set of 
> locators that make it reachable at will.  The rate that the 
> system can disseminate these changes is still TBD, but there 
> obviously needs to be an upper bound (no pun intended ;-).
> 
> Correspondent hosts are free to try different locators at any 
> time.  Typically they will use transport layer hints to 
> trigger things.
> 
> 
> |    >Effectively, the site has PA space from each of its 
> |    providers and that
> |    PA space >is nicely aggregated in global routing.
> |    
> |    So the locators for this site is known by all of the sites 
> |    providers,
> |    correct?
> 
> 
> Yes.  Even more strongly, the locators are allocated by the providers.
> 
> 
> |    IPsec between those two peers without any translation of 
> |    the packets
> |    headers.
> 
> 
> Ipsec, in particular, needs to use the identifier in crafting 
> the security association, NOT the locators.  [This would also 
> allow Ipsec to work through NAT.  ;-) ]
> 
> 
> |    Do we agree on that and this is a core principle for any Internet
> |    engineer one way or the other?
> 
> 
> Please restate with dereferenced pronouns.
> 
>   
> |    >One could reasonably argue that you take the layer of 
> |    separation down 
> |    >recursively.
> |    
> |    Within the IGP from the Provider space?  If that, then I agree.
> 
> 
> Within the site IGP, but using the locators provided in PA space.
> 
>     
> |    >Note that this alleviates the most painful reason to 
> |    avoid PA space:
> |    
> |    But above you state "nicely aggregates provider space"?  Can you
> |    rectify?
> 
> 
> These aren't incompatible.  Your locators are aggregateable 
> and you don't need to renumber.  Should make everyone happy...  ;-)
> 
>      
> |    >renumbering is now a non-issue.  You assign a new 
> locator to your
> |    entire site, 
> |    >advertise it to the world and you're good to go.  
> Individual host
> |    identifiers 
> |    >need not change.  No host renumbering.
> |    
> |    But still implies locators can change?  For example one move to
> |    completely new providers?
> 
> 
> Of course.  You add new provider, configure edge router with 
> new locator prefix, update the locator database and you're done.
> 
>     
> |    Your location is not worldwide provider space but only 
> for relative
> |    provider space for a site?
> |    Is that correct?
> 
> 
> Locators are part of what we would now think of as PA space.  
> That is, they are topologically significant information that 
> vary per-provider.
> 
> Tony
>     
>

---

From: "Tony Li" <[email-masked]>
Date: Wed, 19 Mar 2003 09:57:00 -0800

Ohta-san,

|    > I think that a host should be able to change the set of locators
|    > that make it reachable at will.  The rate that the system can
|    > disseminate these changes is still TBD, but there obviously
|    > needs to be an upper bound (no pun intended ;-).
|    
|    You don't have to determine it. Cache period of DNS, for 
|    example, is
|    configurable.

Yes, but the cache time is an upper bound on the validity of the
entries.
What I'm suggesting is that there needs to be some reasonable
constraints
on the MINIMUM cache period that you can specify.  Currently I believe
that's 1s.  Seems a tad fast.

Tony